Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.processing
Interface GridAnalysis

All Superinterfaces:
  Coverage, GridCoverage

Deprecated. In favor of migrating to ISO 19123 definition for Coverage.

    @UML(identifier="GP_GridAnalysis",
         specification=OGC_01004)
    public interface GridAnalysis

extends GridCoverage

Performs various analysis operations on a grid coverage. Such processing functionality includes histogram calculation, grid coverage covariance and other statistical measurements.

WARNING: THIS CLASS WILL CHANGE. Current API is derived from OGC Grid Coverages Implementation specification 1.0. We plan to replace it by new interfaces derived from ISO 19123 (Schema for coverage geometry and functions). Current interfaces should be considered as legacy and are included in this distribution only because they were part of GeoAPI 1.0 release. We will try to preserve as much compatibility as possible, but no migration plan has been determined yet.

Since:
  GeoAPI 1.0
Version:
  Grid Coverage specification 1.0
TODO:
  All methods except `getCorrelation()` work on a particuler sample dimension. Why not defines those methods right into `SampleDimension`?

Method Summary
`Matrix` | `getCorrelation()` Deprecated. Determine the correlation between sample dimensions in the grid.
`int[]` | `getHistogram(int sampleDimension, double minimumEntryValue, double maximumEntryValue, int numberEntries)` Deprecated. Determine the histogram of the grid values for a sample dimension.
`double` | `getMaxValue(int sampleDimension)` Deprecated. Determine the maximum grid value for a sample dimension.
`double` | `getMeanValue(int sampleDimension)` Deprecated. Determine the mean grid value for a sample dimension.
`double` | `getMedianValue(int sampleDimension)` Deprecated. Determine the median grid value for a sample dimension.
`double` | `getMinValue(int sampleDimension)` Deprecated. Determine the minimum grid value for a sample dimension.
`double` | `getModeValue(int sampleDimension)` Deprecated. Determine the mode grid value for a sample dimension.
`double` | `getStandardDeviation(int sampleDimension)` Deprecated. Determine the standard deviation from the mean of the grid values for a sample dimension.

Methods inherited from interface GridCoverage
`getDataBlock, getDataBlock, getDataBlock, getDataBlock, getDataBlock, getDataBlock, getGridGeometry, getGridPacking, getNumOverviews, getOptimalDataBlockSizes, getOverview, getOverviewGridGeometry, getPackedDataBlock, isDataEditable, setDataBlock, setDataBlock, setDataBlock, setDataBlock, setDataBlock, setDataBlock, setPackedDataBlock`

Methods inherited from interface Coverage
`evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluateInverse, find, find, getCommonPointRule, getCoordinateReferenceSystem, getDimensionNames, getDomainElements, getDomainExtents, getEnvelope, getMetadataNames, getMetadataValue, getNumSampleDimensions, getRangeElements, getRangeType, getRenderableImage, getSampleDimension, getSources, list, select`

Method Detail

### getHistogram

    @UML(identifier="histogram",
         obligation=MANDATORY,
         specification=OGC_01004)
    int[] getHistogram(int sampleDimension,
                                                                              double minimumEntryValue,
                                                                              double maximumEntryValue,
                                                                              int numberEntries)
                       throws InvalidSampleDimensionException

  Deprecated.
  Determine the histogram of the grid values for a sample dimension.

  Parameters:
    `sampleDimension` - Index of sample dimension to be histogrammed.
    `minimumEntryValue` - Minimum value stored in the first histogram entry.
    `maximumEntryValue` - Maximum value stored in the last histogram entry.
    `numberEntries` - Number of entries in the histogram.
  Returns:
    The histogram of the grid values for a sample dimension.
  Throws:
    `InvalidSampleDimensionException` - if the sample dimension index is out of bounds.
  See Also:
    `Histogram`

### getMinValue

    @UML(identifier="minValue",
         obligation=MANDATORY,
         specification=OGC_01004)
    double getMinValue(int sampleDimension)
                       throws InvalidSampleDimensionException

  Deprecated.
  Determine the minimum grid value for a sample dimension.

  Parameters:
    `sampleDimension` - Index of sample dimension.
  Returns:
    the minimum grid value for a sample dimension.
  Throws:
    `InvalidSampleDimensionException` - if the sample dimension index is out of bounds.

### getMaxValue

    @UML(identifier="maxValue",
         obligation=MANDATORY,
         specification=OGC_01004)
    double getMaxValue(int sampleDimension)
                       throws InvalidSampleDimensionException

  Deprecated.
  Determine the maximum grid value for a sample dimension.

  Parameters:
    `sampleDimension` - Index of sample dimension.
  Returns:
    the maximum grid value for a sample dimension.
  Throws:
    `InvalidSampleDimensionException` - if the sample dimension index is out of bounds.

### getMeanValue

    @UML(identifier="meanValue",
         obligation=MANDATORY,
         specification=OGC_01004)
    double getMeanValue(int sampleDimension)
                        throws InvalidSampleDimensionException

  Deprecated.
  Determine the mean grid value for a sample dimension.

  Parameters:
    `sampleDimension` - Index of sample dimension.
  Returns:
    the mean grid value for a sample dimension.
  Throws:
    `InvalidSampleDimensionException` - if the sample dimension index is out of bounds.

### getMedianValue

    @UML(identifier="medianValue",
         obligation=MANDATORY,
         specification=OGC_01004)
    double getMedianValue(int sampleDimension)
                          throws InvalidSampleDimensionException

  Deprecated.
  Determine the median grid value for a sample dimension.

  Parameters:
    `sampleDimension` - Index of sample dimension.
  Returns:
    the median grid value for a sample dimension.
  Throws:
    `InvalidSampleDimensionException` - if the sample dimension index is out of bounds.

### getModeValue

    @UML(identifier="modeValue",
         obligation=MANDATORY,
         specification=OGC_01004)
    double getModeValue(int sampleDimension)
                        throws InvalidSampleDimensionException

  Deprecated.
  Determine the mode grid value for a sample dimension.

  Parameters:
    `sampleDimension` - Index of sample dimension.
  Returns:
    the mode grid value for a sample dimension.
  Throws:
    `InvalidSampleDimensionException` - if the sample dimension index is out of bounds.

### getStandardDeviation

    @UML(identifier="stdDev",
         obligation=MANDATORY,
         specification=OGC_01004)
    double getStandardDeviation(int sampleDimension)
                                throws InvalidSampleDimensionException

  Deprecated.
  Determine the standard deviation from the mean of the grid values for a sample dimension.

  Parameters:
    `sampleDimension` - Index of sample dimension.
  Returns:
    he standard deviation from the mean of the grid values for a sample dimension.
  Throws:
    `InvalidSampleDimensionException` - if the sample dimension index is out of bounds.

### getCorrelation

    @UML(identifier="correlation",
         obligation=MANDATORY,
         specification=OGC_01004)
    Matrix getCorrelation()

  Deprecated.
  Determine the correlation between sample dimensions in the grid.

  Returns:
    the correlation between sample dimensions in the grid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.